Subject: Re: [PATCH net-next v4 05/17] net: pse-pd: Introduce PSE types enumeration

From: Rob Herring <[email-masked]>
Date: Wed, 21 Feb 2024 07:36:40 -0700

On Fri, Feb 16, 2024 at 05:36:38PM -0800, Jakub Kicinski wrote:
> On Fri, 16 Feb 2024 10:42:11 +0100 Köry Maincent wrote:
> > > On Thu, 15 Feb 2024 17:02:46 +0100 Kory Maincent wrote:  
> > > > Introduce an enumeration to define PSE types (C33 or PoDL),
> > > > utilizing a bitfield for potential future support of both types.
> > > > Include 'pse_get_types' helper for external access to PSE type info.    
> > > 
> > > I haven't read the series, just noticed this breaks the build:
> > > 
> > > error: ../include/uapi/linux/pse.h: missing "WITH Linux-syscall-note" for
> > > SPDX-License-Identifier  
> > 
> > By curiosity how do you get that error? 
> > Is it with C=1? I didn't faced it with W=1.
> > C=1 is broken for several architecture like arm64, indeed I forgot to run it.
> 
> Not 100% sure, TBH, I suspect it's somehow enabled by allmodconfig.
> I don't think it's a C=1 thing because our clang build doesn't do C=1
> and it also hit it.

Probably from scripts/spdxcheck.py? IIRC, it has some dependencies which 
have to be installed to enable it.

Rob